Get a resident charge by ID
https://api.propexo.com/v1/resident-charges/:resident_charge_idThe Resident Charges model provides a limited, one-sided view of a resident's financial history with a PMC and should not be treated as a comprehensive report of all charges that the resident owes. Credits to a resident's ledger are stored as negative charges. Due to the PMS API structure, this is a naturally high-volume endpoint. Since Propexo pricing is based on records returned, this may result in signficantly higher overall costs. We encourage you to reach out to support before activating.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The ID of the resource.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100Response
Successful response
- Array [
- ]
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
The order of the results
Whether there are more results
The total number of results
Possible values: >= 0
1000results objectrequired
The Propexo unique identifier for the resident charge
clwktsp9v000008l31iv218hnThe date record first entered Propexo
2024-03-21T15:38:08.337ZThe date record was last updated in Propexo
2024-03-22T10:59:45.119ZThe date the record was last seen from the PMS
2024-03-22T10:59:45.119ZThe external ID from the integration vendor
| Method |
|---|
| getReadOnlyLeaseLedger |
880112The external ID of the property from the integration vendor
| Method |
|---|
| getReadOnlyLeaseLedger |
481920The external ID of the general ledger account from the integration vendor
| Method |
|---|
| getReadOnlyLeaseLedger |
220045The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
This field will always be null for PROPERTYWARE
nullThe external ID of the lease from the integration vendor
| Method |
|---|
| getReadOnlyLeaseLedger |
330871The external ID of the resident from the integration vendor
This field will always be null for PROPERTYWARE
nullThe external ID of the unit from the integration vendor
| Method |
|---|
| getReadOnlyLeaseLedger |
902114The external ID of the charge code from the integration vendor
This field will always be null for PROPERTYWARE
nullThe amount of the resident charge, in cents
| Method |
|---|
| getReadOnlyLeaseLedger |
150000The raw value for amount from the PMS
| Method |
|---|
| getReadOnlyLeaseLedger |
$1500.00The amount open on the resident charge, in cents
This field will always be null for PROPERTYWARE
nullThe raw value for open amount from the PMS
This field will always be null for PROPERTYWARE
nullThe amount paid on the resident charge, in cents
This field will always be null for PROPERTYWARE
nullThe raw value for amount paid from the PMS
This field will always be null for PROPERTYWARE
nullThe due date associated with the resident charge
This field will always be null for PROPERTYWARE
nullThe name associated with the resident charge
| Method |
|---|
| getReadOnlyLeaseLedger |
CHARGEDescription of the resident charge
| Method |
|---|
| getReadOnlyLeaseLedger |
March rentThe reference number for the resident charge
| Method |
|---|
| getReadOnlyLeaseLedger |
INV-1042The transaction date of the resident charge
| Method |
|---|
| getReadOnlyLeaseLedger |
2025-03-01T00:00:00.000ZThe transaction source of the resident charge
This field will always be null for PROPERTYWARE
nullWhether the resident charge is open and not yet settled
This field will always be null for PROPERTYWARE
nullThe post month for the resident charge
This field will always be null for PROPERTYWARE
nullThe Propexo unique identifier for the integration
clwh5u07w000508me66sfh3umThe property management system of record
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTPROPERTYWAREThe Propexo unique identifier for the property
clwi5xiix000008l6ctdgafyhThe Propexo unique identifier for the resident
This field will always be null for PROPERTYWARE
nullThe Propexo unique identifier for the financial account
| Method |
|---|
| getReadOnlyLeaseLedger |
cm0finac00008pw0za63zbjzpThe Propexo unique identifier for the unit
This field will always be null for PROPERTYWARE
nullThe Propexo unique identifier for the lease
This field will always be null for PROPERTYWARE
nullThe Propexo unique identifier for the charge code
This field will always be null for PROPERTYWARE
nullallocations object[]required
Array of payment allocations, splits, and related transactions associated with the resident charge
The Propexo unique identifier for the resident allocation
clwktsp9v000008l31iv218hnThe external ID from the integration vendor
| Method |
|---|
| getCharges |
880113-880112The external ID of the source transaction from the integration vendor
| Method |
|---|
| getCharges |
880113The external ID of the destination transaction from the integration vendor
| Method |
|---|
| getCharges |
880112The Propexo unique identifier for the financial account
| Method |
|---|
| getCharges |
cm0finac00008pw0za63zbjzpThe amount of the resident allocation, in cents
| Method |
|---|
| getCharges |
150000The raw value for amount from the PMS
| Method |
|---|
| getCharges |
$1500.00The Propexo unique identifier for the resident charge
The Propexo unique identifier for the resident payment
This field is not currently hydrated for PROPERTYWARE
The date record first entered Propexo
2024-03-21T15:38:08.337ZThe date record was last updated in Propexo
2024-03-22T10:59:45.119ZThe date the record was last seen from the PMS
2024-03-22T10:59:45.119ZErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/resident-charges/:resident_charge_id \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "880112",
"x_property_id": "481920",
"x_gl_account_id": "220045",
"x_location_id": null,
"x_lease_id": "330871",
"x_resident_id": null,
"x_unit_id": "902114",
"x_charge_code_id": null,
"amount_in_cents": 150000,
"amount_raw": "$1500.00",
"amount_open_in_cents": null,
"amount_open_raw": null,
"amount_paid_in_cents": null,
"amount_paid_raw": null,
"due_date": null,
"name": "CHARGE",
"description": "March rent",
"reference_number": "INV-1042",
"transaction_date": "2025-03-01T00:00:00.000Z",
"transaction_source": null,
"is_open": null,
"post_month": null,
"custom_data": "Unknown Type: object,null",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "PROPERTYWARE",
"property_id": "clwi5xiix000008l6ctdgafyh",
"resident_id": null,
"financial_account_id": "cm0finac00008pw0za63zbjzp",
"unit_id": null,
"lease_id": null,
"charge_code_id": null,
"allocations": [
{
"id": "clwktsp9v000008l31iv218hn",
"x_id": "880113-880112",
"x_source_id": "880113",
"x_destination_id": "880112",
"financial_account_id": "cm0finac00008pw0za63zbjzp",
"amount_in_cents": 150000,
"amount_raw": "$1500.00",
"resident_charge_id": "string",
"resident_payment_id": "string",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"custom_data": "Unknown Type: object,null"
}
]
}
}